@font-face {
  font-family: 'Playwrite CO';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('./fonts/playwrite-co-v13-latin-regular.woff2') format('woff2');
}

* {
    font-family: 'Playwrite CO', cursive, 'arial', sans-serif;
    text-align: center;
}

body {
    width: 100vw;
    color: white;
    margin: 0;
    overflow-x: hidden;
    background: radial-gradient(circle, #4834d4 0%, #2d3436 100%);
    display: flex;
}

h1 {
    width: 100%;
    padding: 0 0 6px 0;
    text-align: center;
    font-size: 20px;
    line-height: 30px;
    color: white;
    text-shadow: 3px 3px 4px black;
}
@media (max-width: 600px) {
    h1 {
        font-size: 16px;
        line-height: 26px;
        padding: 4px 5px 0px 5px;
        width: 94%;
        margin: auto;
        text-shadow: 1px 1px 1px black;
    }
}
.text-center {
    margin: auto;
    width: 50%;
}


.main {
    min-height: 100vh;
    width: 1280px;
    max-width: 100%;
    margin: auto;
    flex-direction: column;
    display: flex;
}
@media (max-width: 600px) {
    .main {
        overflow-x: hidden;
    }
}
/* @media only screen and (orientation: landscape) {
    
} */

.thumbnail {
    position: absolute;
    z-index: -10;
    top: 10px;
    left: 50%;
    margin-left: -250px;
    opacity: 0;
    max-width: 100%;
}

/* Header titre + chats */

.header {
    width: 100%;
    aspect-ratio: 1248 / 753;
    position: relative;
}
.header::before {
    content: "";
    width: 100vw;
    max-width: 100%;
    aspect-ratio: 1248 / 753;
    background-image: url(img/background_header.webp);
    background-size: cover;
    background-position: top;
    position: absolute;
    left: 0;
    top: 0;
}
.header:after {
    content: "";
    width: 100vw;
    max-width: 100%;
    aspect-ratio: 1248 / 36;
    background-image: url(img/background_header_fog.webp);
    background-size: cover;
    background-position: top;
    position: absolute;
    left: 0;
    bottom: 0;
    transform: translateY(+100%);
}
.header-content {
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
}
.header h1 {
    position: absolute;
}
.header span {
    top: 50px;
    left: 0px;
    position: absolute;
    text-align: center;
    display: inline-block;
    width: 100%;
    font-size: 12px;
}
.header img.title {
    position: absolute;
    top: 1%;
    left: 50%;
    transform: translateX(-50%);
    width: 45%;
    height: auto;
}
.header .title-text {
    position: absolute;
    width: 100%;
    text-align: center;
    top: clamp(0px, 21vw, 267px);
    color: #430243;
    font-size: clamp(16px, 1.8vw, 20px);
}
.header .left-cat, .header .right-cat {
    position: absolute;
    height: 40%;
    width: auto;
}
/* Animation du saut : mouvement vertical doux */
@keyframes float {
    0% { transform: translateY(0px); }
    50% { transform: translateY(-20px); }
    100% { transform: translateY(0px); }
}
.header .left-cat {
    top: 46%;
    left: 18%;
    animation: float 0.5s ease-in-out 3;
    animation-delay: 1s;
}
.header .right-cat {
    top: 53%;
    right: 14%;
    animation: float 0.5s ease-in-out 1;
    animation-delay: 0.2s;
}
.header .lang {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: row;
    margin: 5px;
    z-index: 1;
}
.header .lang img {
    width: 30px;
    margin: 3px;
}
@media (max-width: 780px) {
    .header .lang img {
        width: 20px;
    }
    .header .title-text {
        font-size: 14px;
    }
}

/* formulaire d'inscription */

form.wizocat-form {
    display: flex;
    width: 90%;
    margin: auto;
}
form.wizocat-form .input-wrapper {
    position: relative;
    width: 100%;
    margin: 0 5px;
}
form.wizocat-form .input-wrapper label {
    position: absolute;
    left: 0px;
    top: 0px;
    cursor: pointer;
    background: none;
    border: none;
    color: #333333;
    font-size: 15px;
    margin: 0 6px;
    line-height: 36px;
}
form.wizocat-form .input-wrapper .refresh-btn {
    position: absolute;
    right: 0px;
    top: -4px;
    cursor: pointer;
    background: none;
    border: none;
    font-size: 20px;
}
form.wizocat-form .input-wrapper input {
    margin-left: 0;
    margin-right: 0;
    padding: 0px 54px;
}
form.wizocat-form input {
    width: 100%;
    margin: 0 5px;
    padding: 10px;
    height: 36px;
    border-radius: 8px;
    border: none;
    font-size: 15px;
    box-sizing: border-box;
    box-shadow: 3px 3px 3px black;
}
form.wizocat-form input[type="email"] {
    width: 100%;
}
form.wizocat-form button.hero-button {
    background: linear-gradient(to bottom, #4aac21 0%, #006813 100%);
    border: 2px solid #f0f553;
    border-color: #f0f553 #9edd2b #6dbd28 #9edd2b;
    border-radius: 7px;
    
    color: white;
    font-size: 15px;
    text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.3);
    box-shadow: 3px 3px 3px black;
    text-wrap: nowrap;

    height: 36px;
    padding: 3px 10px;
    cursor: pointer;
    display: inline-block;
    
    transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
form.wizocat-form button.hero-button:hover {
    background: linear-gradient(to bottom, #8ee431 0%, #518515 100%);
    box-shadow: 0 6px 20px rgba(65, 117, 5, 0.6);
    text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.6);
}
form.wizocat-form button.hero-button:active {
    transform: scale(0.95);
}

@media (max-width: 780px) {
    form.wizocat-form {
        flex-direction: column;
    }
    form.wizocat-form input, form.wizocat-form button.hero-button {
        font-size: 13px;
        margin: 2px 5px;
        padding: 0px 10px;
        height: 26px;
        width: 100%;
    }
    form.wizocat-form .input-wrapper label {
        margin: 2px 5px;
        line-height: 26px;
    }
    form.wizocat-form .input-wrapper .refresh-btn {
       top: -6px;
    }
}

/* Honeypot invisible */
.hp-field { display: none !important; visibility: hidden !important; }

/* Top bar */

.hero {
    width: 100%;
    position: relative;
}
.hero:before {
    content: "";
    background-image: url(img/background_hero_top.webp);
    background-position: top;
    background-size: cover;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
}
.hero .bonus-badge {
    text-shadow: 2px 2px 2px black;
    color: white;
    font-size: 16px;
    text-align: center;
    margin: 0 10px;
}
.hero-form {
    width: 100%;
    padding: 15px 0;
}
.hero.is-fixed {
    position: fixed;
    max-width: 1280px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.3);
    z-index: 2;
    top: 0px;
    animation: slideDown 0.4s ease;
}
@keyframes slideDown {
    from { transform: translateY(-100%); }
    to { transform: translateY(0); }
}
.hero.is-fixed:before {
    background-position: bottom;
}
@media (max-width: 600px) {
    .hero.is-fixed {
        width: 100vw;
    }
    /* .hero:before {
        background-size: 100% 100%;
    } */
    .hero .bonus-badge {
        padding-top: 14px;
        font-size: 14px;
        text-shadow: 1px 1px 1px black;
    }
    .hero-form {
        padding-top: 8px;
    }
}

/* Video et images */

.feat {
    width: 100%;
    min-height: 100px;
    position: relative;
    /* aspect-ratio: 832 / 291; */
    background-image: url(img/background_hero.webp);
    background-size: cover;
    background-repeat: no-repeat;
    padding-bottom: 10px;
}
.feat h2 {
    font-size: 1.17em;
}
.feat-content {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: center;
    text-align: center;
    padding: 20px;
}
.card-parchemin {
    background: url(img/background_parchemin.webp) no-repeat center center;
    background-size: 100% 100%;
    background-position: top;
    aspect-ratio: 305 / 286;
    width: 30%;
    padding: 0px 0px 16px 0px;
    color: #430243;
}
.card-parchemin img, .card-parchemin .video-container {
    margin: 0px auto;
    width: 90%;
    overflow: hidden;
}
.card-parchemin img, .card-parchemin .video-grimoire video {
    width: 100%;
    margin: auto;
}
.card-parchemin video {
    width: 130%;
    margin-left: -17%;
    object-fit: cover;
}
.card-parchemin small {
    margin: 0px 16px;
    display: inline-block;
}
@media (max-width: 780px) {
    .feat {
        aspect-ratio: auto;
        /* background-size: 100% 21%;
        background-repeat: initial; */
        background: linear-gradient(0deg, rgb(66 14 65) 0%, rgb(102 44 96) 2%, rgb(109 70 109) 100%)
    }
    .feat-content {
        flex-direction: column;
        padding: 10px;
    }
    .card-parchemin {
        width: 100%;
        margin: 0px 0px 16px 0px;
    }
    .card-parchemin:last-of-type {
        margin: 0px;
    }
}

/* animations */

.fog {
    width: 100%;
    margin-top: 110px;
    position: absolute;
    left: 0px;
    pointer-events: none;
    animation: float 12s ease-in-out infinite;
    z-index: 3;
}

/* phrase de résumé */

.pitch {
    position: relative;
    padding: 20px 0px;
    content: "";
    width: 100%;
    min-height: 100px;
    background-image: url(img/background_hero_bottom.webp);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}
.pitch .picto img {
    width: 80px;
    margin: 0px 10px;
}
.pitch .picto img {
    width: 80px;
    margin: 0px 10px;
}
.picture {
    max-width: 90%;
    margin: 10px;
}
.card-parchemin-long {
    color: #451c43;
    background: url(img/background_parchemin2.webp) no-repeat;
    background-size: 100% 100%;
    width: 70%;
    margin: auto;
    padding: 10px 20px;
    text-align: center;
    position: relative;
}
.card-parchemin-long h2 {
    text-align: center;
    font-size: 20px;
    margin: auto;
}
.card-parchemin-long:last-of-type {
    margin-bottom: 10px;
}
.pitch form.wizocat-form, .about form.wizocat-form {
    flex-direction: column;
    width: 30%;
    align-items: center;
}
.pitch form p {
    text-shadow: 2px 2px 2px black;
}
.pitch button.pitch-button, .about button.pitch-button {
    color: white;
    background: url(img/button.webp);
    background-size: 100% 100%;
    text-align: center;
    font-size: 24px;
    padding: 30px 60px;
    margin-bottom: -26px;
    text-wrap: nowrap;
    border: none;
    cursor: pointer;
}
@media (max-width: 780px) {
    .pitch {
        aspect-ratio: auto;
    }
    .pitch:before {
        aspect-ratio: auto;
        background-size: 100% 100%;
        height: 100%;
        width: 1024px;
        left: -50%;
    }
    .pitch form.wizocat-form, .about form.wizocat-form {
        width: 80%;
    }
    .picth form p {
        text-shadow: 1px 1px 1px black;
    }
    .pitch button.pitch-button, .about button.pitch-button {
        font-size: 16px;
        text-wrap: initial;
        margin-top: -16px;
    }
}

/* photos et vidéos de vraies parties */

.demo {
    position: relative;
    padding: 20px 20px 200px 20px;
    background-image: url(img/background_demo.webp);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}
.demo .proto_disclaimer {
    margin-top: -20px;
}
.demo .card-parchemin-long {
    margin-top: 30px;
}
.proto_disclaimer {
    display: block;
}
@media (max-width: 780px) {
    .demo {
        aspect-ratio: auto;
        background-size: 100% 100%;
        padding: 20px 20px 0px 20px;
    }
}

.about {
    width: 100%;
    position: relative;
    margin-top: -200px;
    aspect-ratio: 1024 / 951;
}
.about:before {
    content: "";
    width: 100vw;
    max-width: 100%;
    aspect-ratio: 1024 / 951;
    background-image: url(img/background_about.webp);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
}
.about .card-parchemin-long, .about form.wizocat-form {
    position: relative;
    z-index: 1;
}
.about ul li {
    text-align: left;
}
@media (max-width: 780px) {
    .about {
        margin-top: 0px;
    }
    .about:before {
        aspect-ratio: auto;
        background-size: cover;
        background-position: top;
        background-image: url(img/background_demo.webp);
        transform: scale(-1);
        bottom: 0;
    }
    .about .mobile-card-parchemin {
        background-image: url(img/background_parchemin.webp);
    }
}

.copyright {
    z-index: 2;
    position: relative;
}
.copyright p {
    width: 90%;
    display: inline-block;
    text-align: center;
}